path: /build/build/python-levenshtein-dev-python-0.25.0+1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - sed -i -e 's|python-levenshtein|python-Levenshtein|g' /var/git/extra-kits/geaaru-kit/dev-python/python-levenshtein/python-levenshtein-0.25.0.ebuild
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge dev-python/python-levenshtein -pv -t && \
    USE="-python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge -j ${JOBS} --nodeps dev-python/python-levenshtein
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/python-levenshtein && luet-portage --dir
    /pkgdir/python-levenshtein dev-python/python-levenshtein && eval 'rm -v /var/cache/distfiles/*
    ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:deaee190d00cadd6e09595026976df3b76cac2c8a317cbdf0903afce102d609b
  package:
    name: python-levenshtein
    version: 0.25.0+1
    category: dev-python
    use_flags:
    - -python_targets_python3_10
    - -python_targets_python3_7
    - -python_targets_python3_8
    - python_targets_python3_9
    requires:
    - name: macaroni-funtoo-race20
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Functions for fast computation of Levenshtein distance, and edit
      operations
    uri:
    - https://github.com/rapidfuzz/python-Levenshtein https://pypi.org/project/python-Levenshtein/
    license: GPL-2
    buildtimestamp: 2024-02-17 23:45:24.500119086 +0000 UTC m=+238.979366887
    labels:
      BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        >=dev-python/gpep517-6[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        >=dev-python/setuptools-62.3.3[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        dev-python/wheel[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      DEPEND: dev-python/setuptools[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      IUSE: python_targets_python3_10 python_targets_python3_7 python_targets_python3_9
        python_targets_python3_8
      RDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      emerge.packages: dev-python/python-levenshtein
      kit: geaaru-kit
      original.package.name: dev-python/python-levenshtein
      original.package.slot: "0"
      original.package.version: 0.25.0
    treedir: /build/packages
  package_dir: /pkgdir/python-levenshtein
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 7ac9c2b69bbdfe8414f002920493ee82a16e89662081c4ba73bc930fb5f230ad
compressiontype: zstd
files:
- usr/lib/python3.9/site-packages/python_Levenshtein-0.25.0.dist-info/METADATA
- usr/lib/python3.9/site-packages/python_Levenshtein-0.25.0.dist-info/RECORD
- usr/lib/python3.9/site-packages/python_Levenshtein-0.25.0.dist-info/WHEEL
- usr/lib/python3.9/site-packages/python_Levenshtein-0.25.0.dist-info/top_level.txt
- usr/share/doc/python-levenshtein-0.25.0/README.md.bz2
- var/db/pkg/dev-python/python-levenshtein-0.25.0/BDEPEND
- var/db/pkg/dev-python/python-levenshtein-0.25.0/BUILD_TIME
- var/db/pkg/dev-python/python-levenshtein-0.25.0/CATEGORY
- var/db/pkg/dev-python/python-levenshtein-0.25.0/CBUILD
- var/db/pkg/dev-python/python-levenshtein-0.25.0/CFLAGS
- var/db/pkg/dev-python/python-levenshtein-0.25.0/CHOST
- var/db/pkg/dev-python/python-levenshtein-0.25.0/CONTENTS
- var/db/pkg/dev-python/python-levenshtein-0.25.0/COUNTER
- var/db/pkg/dev-python/python-levenshtein-0.25.0/CXXFLAGS
- var/db/pkg/dev-python/python-levenshtein-0.25.0/DEFINED_PHASES
- var/db/pkg/dev-python/python-levenshtein-0.25.0/DEPEND
- var/db/pkg/dev-python/python-levenshtein-0.25.0/DESCRIPTION
- var/db/pkg/dev-python/python-levenshtein-0.25.0/EAPI
- var/db/pkg/dev-python/python-levenshtein-0.25.0/FEATURES
- var/db/pkg/dev-python/python-levenshtein-0.25.0/HOMEPAGE
- var/db/pkg/dev-python/python-levenshtein-0.25.0/INHERITED
- var/db/pkg/dev-python/python-levenshtein-0.25.0/IUSE
- var/db/pkg/dev-python/python-levenshtein-0.25.0/IUSE_EFFECTIVE
- var/db/pkg/dev-python/python-levenshtein-0.25.0/KEYWORDS
- var/db/pkg/dev-python/python-levenshtein-0.25.0/LDFLAGS
- var/db/pkg/dev-python/python-levenshtein-0.25.0/LICENSE
- var/db/pkg/dev-python/python-levenshtein-0.25.0/PF
- var/db/pkg/dev-python/python-levenshtein-0.25.0/RDEPEND
- var/db/pkg/dev-python/python-levenshtein-0.25.0/SIZE
- var/db/pkg/dev-python/python-levenshtein-0.25.0/SLOT
- var/db/pkg/dev-python/python-levenshtein-0.25.0/USE
- var/db/pkg/dev-python/python-levenshtein-0.25.0/environment.bz2
- var/db/pkg/dev-python/python-levenshtein-0.25.0/python-levenshtein-0.25.0.ebuild
- var/db/pkg/dev-python/python-levenshtein-0.25.0/repository
package_cacheimage: ""
runtime:
  name: python-levenshtein
  version: 0.25.0+1
  category: dev-python
  use_flags:
  - -python_targets_python3_10
  - -python_targets_python3_7
  - -python_targets_python3_8
  - python_targets_python3_9
  requires:
  - name: python
    version: '>=0'
    category: dev-lang-3.9
  - name: python-exec
    version: '>=0'
    category: dev-lang-2
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Functions for fast computation of Levenshtein distance, and edit operations
  uri:
  - https://github.com/rapidfuzz/python-Levenshtein https://pypi.org/project/python-Levenshtein/
  license: GPL-2
  labels:
    BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      >=dev-python/gpep517-6[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      >=dev-python/setuptools-62.3.3[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      dev-python/wheel[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    DEPEND: dev-python/setuptools[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    IUSE: python_targets_python3_10 python_targets_python3_7 python_targets_python3_9
      python_targets_python3_8
    RDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    emerge.packages: dev-python/python-levenshtein
    kit: geaaru-kit
    original.package.name: dev-python/python-levenshtein
    original.package.slot: "0"
    original.package.version: 0.25.0
